:root {
  --primary-color: #f2f9f1;
  --secondary-color: #ddeedf;
  --third-color: #b6cdbd;
  --fourth-color: #306e36;
  --background-color: #de703c;

  font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
  line-height: 1.5;
  font-weight: 500;
  font-size: 16px;

  color-scheme: light dark;
  color: black;
  background: rgb(195, 34, 34);
  background: linear-gradient(0, var(--primary-color) 13%, var(--secondary-color) 48%, var(--third-color) 100%);

  font-synthesis: none;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  -webkit-text-size-adjust: 100%;
}

#subhead {
  font-size: 1em;
  padding: 0em;
  margin: 0em;
  padding-bottom: 1em;
}

a {
  font-weight: 500;
  color: #646cff;
  text-decoration: inherit;
}

a:hover {
  color: #979bf0;
}

body {
  display: flex;
  place-items: center;
  justify-content: center;
  min-width: 320px;
  min-height: 100vh;
}

header {
  color: var(--primary-color);
  padding: 0em;
  text-align: center;
  background-color: var(--fourth-color);
  border-radius: 1em;
  box-shadow: 6px 4px 6px rgb(255, 255, 255);
}

#title-img {
  width: 90%;
  height: auto;
}

nav {
  display: flex;
  font-size: 1em;
  justify-content: right;
  background-color: var(--fourth-color);
  padding: 0em;
  margin-bottom: 1em;
  border-radius: 0.5em;
  box-shadow: 6px 4px 6px rgb(255, 255, 255);
}

.video-prototype {
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  padding: 1em;
  margin: 1em;
  border-radius: 10px;
  box-shadow: 6px 4px 6px #7d8d82;
  outline: 2px solid #fff;
}

.video-prototype p {
  font-size: 1.2em;
  text-align: center;
  margin: 0 1em 0 1em;
  padding: 0.25em;
  background-color: var(--third-color);
  border-radius: 5px;


}

#gameplay {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 1em;
  margin: 1em;
  border-radius: 10px;
  box-shadow: 6px 4px 6px #7d8d82;
  outline: 2px solid #fff;
}

#gameplay p {
  font-size: 1.2em;
  text-align: center;
  margin: 1em 0 1em 0;
  padding: 0.25em;
  background-color: var(--third-color);
  border-radius: 5px;
}

#game-display {
  display: flex;
  justify-content: center;
  align-items: center;
}

#game-display .social-icons {
  margin: 0;
  padding: 0;
}

#game-display img {
  width: 18em;
  padding: 1em;
}

#team {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

#team-list {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  padding: 1em;
  margin: 0em;
  overflow-x: auto;
  white-space: nowrap;
  width: 75vw;

}


.team-member {
  width: 15em;
  height: 18em;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 1em;
  margin: 1em;
  border-radius: 5px;
  box-shadow: 6px 4px 6px #7d8d82;
  outline: 2px solid #fff;
  font-size: .8em;
  background-color: #b6cdbd3a;
}

.team-member img {
  width: 6em;
  height: 6em;
  border-radius: 50%;
}

.team-member p {
  margin: 0.5em;
  font-size: 0.9em;
  text-wrap: wrap;
}


ul {
  font-size: 1.2em;
}

#game-display {
  padding: 0em 0em 0em 4em;
}

nav a {
  color: #fff;
  text-decoration: none;
  padding: 0.5em 1em;
  margin: 0 1em;
  border-radius: 5px;
}

p {
  font-size: 1.2em;
  text-align: center;
  margin: 1em 0;
}

main {
  padding: 0em;
}

footer {
  display: flex;
  justify-content: center;
  background-color: var(--fourth-color);
  color: #fff;
  text-align: center;
  margin: 2em 0 0 0;
  padding: 0.25em;
  bottom: 0;
  width: 100%;
  border-radius: 1em;
  box-shadow: 6px 4px 6px #7d8d82;
}

h1 {
  font-size: 4.2em;
  line-height: 0.5em;
  padding: 0.5em;
  margin: 0;
}

h2 {
  color: var(--fourth-color);
  font-size: 2.5em;
  margin: 0.5em;
}

h3 {
  font-size: 1.8em;

}

#constraints {
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  padding: 1em;
  border-radius: 10px;
  box-shadow: 6px 4px 6px #7d8d82;
  outline: 2px solid #fff;
}

#constraints p {
  font-size: 1.2em;
  text-align: center;
  margin: 0 1em 0 1em;
  padding: 0.25em;
  background-color: var(--third-color);
  border-radius: 5px;
}

#container {
  max-width: 90vw;
  min-width: 600px;
  margin: 0 auto;
  padding: 2rem;
  text-align: center;
}


ul {
  text-align: left;
}

li {
  list-style-type: none;
}


li::before {
  content: "•";
  color: var(--fourth-color);
  display: inline-block;
  width: 1em;
  margin-left: -1em;
}

.roadmap {
  display: flex;
}

.roadmap img {
  width: 50%;
}

.game-title {
  font-size: 1.5em;
}

.project-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-bottom: 4em;
}

.project-description {
  width: 70em;
  box-sizing: border-box;
}

.project-media {
  display: flex;
  justify-content: center;
  align-items: center;

}

.project-media img {
  max-width: 25em;
  padding: 1em;
}

.stacked-imgs {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.social-icons {
  display: flex;
  justify-content: space-evenly;
  font-size: 1.3em;
  margin: 2em;
}

.social-icons i {
  padding: 1em;
  background-color: var(--third-color);
  box-shadow: 6px 4px 6px #7d8d82;
}

.social-icons i:hover {
  background-color: #1a1a1a;
}

button {
  border-radius: 8px;
  border: 1px solid transparent;
  padding: 0.6em 1.2em;
  font-size: 1em;
  font-weight: 500;
  font-family: inherit;
  background-color: #1a1a1a;
  cursor: pointer;
  transition: border-color 0.25s;
}

button:hover {
  border-color: #646cff;
}

button:focus,
button:focus-visible {
  outline: 4px auto -webkit-focus-ring-color;
}


@media (max-width: 768px) {
  #game-display img {
    max-width: 11em;
  }

  .team-member {
    padding: 0.5em;
    margin: 0.5em;
    font-size: 0.7em;
  }

  .team-member img {
    max-width: 4em;
    max-height: 6em;
  }

  footer {
    font-size: 0.8em;
  }

  #constraints {
    flex-direction: column;
  }

  #constraints p {
    font-size: 1em;
    margin: 1em 0 1em 0;

  }

  .roadmap {
    flex-direction: column;
  }

  .roadmap img {
    width: 100%;
  }


}

@media (max-width: 1000px) {
  .video-prototype {
    flex-direction: column;
    width: fit-content;
  }

  .video-prototype p {
    margin: 1em;
    width: inherit;
  }
}


/* FILEPATH: /Users/tonyguizar/Desktop/Winter24/CMPM171/GolfSite/GolfSite/src/style.css */

/* BEGIN: Change color of scrollbar */
::-webkit-scrollbar {
  height: 6px;
}

::-webkit-scrollbar-track {
  background-color: #f1f1f1;
}

::-webkit-scrollbar-thumb {
  background-color: #d7d7d7;
}

::-webkit-scrollbar-thumb:hover {
  background-color: #555;
}

/* END: Change color of scrollbar */